<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>tooltip提示</title>
    <style>
        .tooltip{
            position: relative;
            display: inline-block;
        }
        .tooltip-text{
            visibility: hidden;
            width: 100px;
            height: 50px;
            cursor: pointer;
            position: absolute;
            z-index: 1;
        }
        .tooltip:hover .tooltip-text{
            visibility: visible;
        }
    </style>
</head>
<body>
    <div class="tooltip">
        提示
        <span class="tooltip-text">文本提示</span>
    </div>
</body>
</html>